Get Sub-Accounts

Prev Next
Get
/v1/sub-accounts

Read all sub-accounts within the permissions of the user.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Query parameters
page
integer

Page number

size
integer

Number of items per page

id
integer

Filter by Sub-Account ID

name
string

Filter by name

controlAccountId
integer

Filter by Control Account ID

governanceAccountId
integer

Filter by Governance Account ID

status
string

Filter by status

Valid values[ "ON_TRIAL", "PAID_ACCOUNT", "SUSPENDED", "DEACTIVATED" ]
wasabiAccountName
string

Filter by Wasabi account name/email

wasabiAccountNumber
integer

Filter by Wasabi account number

includeDeleted
boolean

Include deleted sub-accounts

includeKeys
boolean

Include access and secret keys in response

Responses
200

Successfully retrieved sub-accounts

{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "54321",
        "name": "Sample Sub-Account",
        "partnerType": "SUB_ACCOUNT",
        "accountType": "Company",
        "status": "PAID_ACCOUNT",
        "creationDate": "2023-05-20T09:00:00Z",
        "contactEmail": "contact@example.com",
        "billingEmail": "billing@example.com",
        "storageQuotaType": "Soft quota",
        "accessKey": "AKIAIOSFODNN7EXAMPLE",
        "channelAccountId": "53211",
        "channelAccountName": "Sample Channel Account",
        "controlAccountId": "13337",
        "controlAccountName": "Sample Control Account",
        "governanceAccountId": "3214",
        "governanceAccountName": "Sample Governance",
        "wasabiAccountNumber": "100123456",
        "wasabiAccountName": "sample@example.com",
        "sendPasswordResetToSubAccount": "False",
        "ftpEnabled": "True",
        "activeStorage": "0.45",
        "deletedStorage": "0.05",
        "purchasedStorageTB": "2",
        "mfaEnabled": "False"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
Expand All
object
success
boolean
data
object
items
Array of object (SubAccountResponse)
object
id
integer
name
string
partnerType
string
accountType
string
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string
billingEmail
string
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
storageQuotaType
string
accessKey
string
secretKey
string
channelAccountId
integer
channelAccountName
string
channelAccountEmail
string
controlAccountId
integer
controlAccountName
string
controlAccountEmail
string
governanceAccountId
integer
governanceAccountName
string
wasabiAccountNumber
integer
wasabiAccountName
string
sendPasswordResetToSubAccount
boolean
ftpEnabled
boolean
activeStorage
number
deletedStorage
number
trialQuotaTB
integer
trialExpiration
string
purchasedStorageTB
number
mfaEnabled
boolean
page
integer
size
integer
total
integer